ash (ti22) wrote in kluje,
ash
ti22
kluje

  • Mood:

compile error on 0.7

i'm getting a compile error while compiling 0.7

here's the output of make:

In file included from /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/include/g++-v3/backward/iostream.h:31,
from editeventsdialog.h:35,
from editeventsdialog.cpp:18:
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/include/g++-v3/backward/backward_warning.h:32:2: warning: #warning This file includesat least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++standard. Examples include substituting the header for the
[Error: Irreparable invalid markup ('<x.h>') in entry. Owner must fix manually. Raw contents below.]

i'm getting a compile error while compiling 0.7
<lj-cut text="make output">
here's the output of make:

In file included from /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/include/g++-v3/backward/iostream.h:31,
from editeventsdialog.h:35,
from editeventsdialog.cpp:18:
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/include/g++-v3/backward/backward_warning.h:32:2: warning: #warning This file includesat least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++standard. Examples include substituting the <X> header for the <X.h> header for C++ includes, or <sstream> instead of the deprecated header <strstream.h>. To disable this warning use -Wno-deprecated.
/usr/kde/3.3/include/keditcl.h: In member function `void
EditEventsDialog::disable()':
/usr/kde/3.3/include/keditcl.h:388: error: `virtual void KEdit::setCursor(const
QCursor&)' is protected
editeventsdialog.cpp:162: error: within this context
/usr/kde/3.3/include/keditcl.h: In member function `void
EditEventsDialog::enable()':
/usr/kde/3.3/include/keditcl.h:388: error: `virtual void KEdit::setCursor(const
QCursor&)' is protected
editeventsdialog.cpp:170: error: within this context
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.3/include -I/usr/qt/3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -DNDEBUG -DNO_DEBUG -O2 -march=athlon-xp -O2 -mcpu=i686 -pipe -fomit-frame-pointer -fno-exceptions -fno-check-new -c editeventsdialog.moc.cpp
make[2]: *** [editeventsdialog.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/include/g++-v3/backward/iostream.h:31,
from editeventsdialog.h:35,
from editeventsdialog.moc.cpp:11:
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/include/g++-v3/backward/backward_warning.h:32:2: warning: #warning This file includesat least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++standard. Examples include substituting the <X> header for the <X.h> header for C++ includes, or <sstream> instead of the deprecated header <strstream.h>. To disable this warning use -Wno-deprecated.
make[2]: Leaving directory `/mnt/other/tmp/portage/kluje-0.7/work/kluje-0.7/kluje'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/mnt/other/tmp/portage/kluje-0.7/work/kluje-0.7'
make: *** [all-recursive-am] Error 2

using kde-3.3.1 on gentoo. tia
Subscribe
  • Post a new comment

    Error

    default userpic
    When you submit the form an invisible reCAPTCHA check will be performed.
    You must follow the Privacy Policy and Google Terms of use.
  • 1 comment